Skip to content

Get withdrawal history

GET
/v1/wallet/crypto/withdraw/history

Get Withdrawal History records for a given currency.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Query Parameters

skip

Skip this number of results. (Default 0)

Type
integer
Format
"int32"
limit

Limit the results to this number. (Default and Max 100)

Type
integer
Format
"int32"
currency

Currency Code (e.g., BTC, ETH, XRP, ADA). Leave empty to retrieve records for all currencies.

Type
string
startTime

ISO 8601 string (e.g., 2025-01-01T00:00:00Z) for the start of the time range. Defaults to the earliest available date if not provided.

Type
string
endTime

ISO 8601 string (e.g., 2025-01-31T23:59:59Z) for the end of the time range. Defaults to the latest date if not provided.

Type
string

Responses

Withdrawal history retrieved successfully

application/json

Playground

Authorization
Variables
Key
Value

Samples